> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve manual shipping method detail

> Retrieve manual shipping method detail



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /store/manual-shipping-methods/{id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/manual-shipping-methods/{id}:
    parameters:
      - name: id
        in: path
        description: shipping method id
        required: true
        schema:
          type: string
    get:
      tags:
        - Store
      summary: Retrieve manual shipping method detail
      description: Retrieve manual shipping method detail
      operationId: get-manual-shipping-method
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      shipping_method:
                        $ref: '#/components/schemas/ManualShippingMethod'
                    type: object
components:
  schemas:
    ManualShippingMethod:
      title: ManualShippingMethod
      type: object
      required:
        - name
        - shipping_method_type
        - type
        - description
        - is_connected
        - is_forward_shipping
        - is_return_shipping
        - enable_shipping_rate
        - delivery_leadtime_minimum
        - delivery_leadtime_maximum
        - shipping_zone_id
        - warehouse_id
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        shipping_method_type:
          enum:
            - manual
            - local-pickup
        type:
          enum:
            - manual
            - local-pickup
          readOnly: true
        fulfillment_type:
          enum:
            - delivery
            - collect-in-store
          readOnly: true
        description:
          type:
            - string
            - 'null'
          readOnly: true
        logo_dark:
          type:
            - string
            - 'null'
          readOnly: true
        logo_light:
          type:
            - string
            - 'null'
          readOnly: true
        is_connected:
          type: boolean
          default: true
          readOnly: true
        is_default:
          type: boolean
          default: false
        is_forward_shipping:
          type: boolean
          default: true
        is_return_shipping:
          type: boolean
          default: true
        maximum_weight:
          description: can be null if there is no limit on weight.
          type:
            - number
            - 'null'
        enable_shipping_rate:
          type: boolean
        shipping_rate_name:
          description: required if enable_shipping_rate = true
          type: string
        shipping_rate_fixed_price:
          description: can be null if shipping_rate_condition is provided.
          type:
            - number
            - 'null'
        shipping_rate_condition:
          $ref: '#/components/schemas/ManualShippingRateCondition'
          description: can be null if shipping_rate_fixed_price is provided.
        delivery_leadtime_minimum:
          description: in days.
          type: integer
        delivery_leadtime_maximum:
          description: in days.
          type: integer
        shipping_zone_id:
          type: array
          items:
            type: string
          writeOnly: true
        warehouse_id:
          type: array
          items:
            type: string
          writeOnly: true
        shipping_zone:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
          readOnly: true
        warehouses:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
          readOnly: true
        status:
          enum:
            - active
            - inactive
      x-tags:
        - Shipping
    ManualShippingRateCondition:
      title: ManualShippingRateCondition
      anyOf:
        - $ref: '#/components/schemas/ShippingRateBasedOnItemWeight'
        - $ref: '#/components/schemas/ShippingRateBasedOnOrderValue'
      x-tags:
        - Shipping
    ShippingRateBasedOnItemWeight:
      title: ShippingRateBasedOnItemWeight
      description: ''
      anyOf:
        - $ref: '#/components/schemas/ShippingRateBasedOnWeightSlabs'
        - $ref: '#/components/schemas/ShippingRatePerKgFixedPrice'
      x-tags:
        - Shipping
    ShippingRateBasedOnOrderValue:
      title: ShippingRateBasedOnOrderValue
      type:
        - object
        - 'null'
      required:
        - rate_based_on
        - slabs
      properties:
        rate_based_on:
          enum:
            - order-value
        slabs:
          type: array
          items:
            type: object
            required:
              - order_value
              - shipping_rate
              - condition
            properties:
              order_value:
                type: number
              shipping_rate:
                type: number
              condition:
                enum:
                  - less-or-equal
                  - greater
      x-tags:
        - Shipping
    ShippingRateBasedOnWeightSlabs:
      title: ShippingRateBasedOnWeightSlabs
      type:
        - object
        - 'null'
      required:
        - rate_based_on
        - rate_type
        - slabs
      properties:
        rate_based_on:
          enum:
            - item-weight
        rate_type:
          enum:
            - weight-slabs
        slabs:
          type: array
          items:
            type: object
            required:
              - weight
              - shipping_rate
              - condition
            properties:
              weight:
                type: number
              shipping_rate:
                type: number
              condition:
                enum:
                  - less-or-equal
                  - greater
      x-tags:
        - Shipping
    ShippingRatePerKgFixedPrice:
      title: ShippingRatePerKgFixedPrice
      type:
        - object
        - 'null'
      required:
        - rate_based_on
        - rate_type
        - shipping_rate_per_kg
      properties:
        rate_based_on:
          enum:
            - item-weight
        rate_type:
          enum:
            - fixed-price-per-kg
        shipping_rate_per_kg:
          type: number
      x-tags:
        - Shipping
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````